次の方法で共有


Registry Endpoint - Create Or Update

RegistryEndpointResource を作成する

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/registryEndpoints/{registryEndpointName}?api-version=2026-03-01

URI パラメーター

名前 / 必須 説明
instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

インスタンスの名前。

registryEndpointName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

RegistryEndpoint リソースの名前

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 説明
extendedLocation

ExtendedLocation

リソースのエッジの場所。

properties

RegistryEndpointProperties

このリソースのリソース固有のプロパティ。

応答

名前 説明
200 OK

RegistryEndpointResource

リソース 'RegistryEndpointResource' の更新操作に成功しました

201 Created

RegistryEndpointResource

リソース 'RegistryEndpointResource' の作成操作に成功しました

ヘッダー

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザーアカウントになりすます

RegistryEndpoint_CreateOrUpdate_MaximumSet

要求のサンプル

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-123/registryEndpoints/resource-123?api-version=2026-03-01

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ]
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

応答のサンプル

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ],
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "provisioningState": "Accepted"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ExtendedLocation

拡張された場所は、Azure の場所の拡張機能です。 Azure ARC 対応 Kubernetes クラスターを、Azure サービス インスタンスをデプロイするためのターゲットの場所として使用する方法を提供します。

ExtendedLocationType

ExtendedLocation の列挙型を定義する型が受け入れられます。

ProvisioningState

リソースの状態を定義する列挙型。

RegistryEndpointAnonymousAuthentication

匿名認証

RegistryEndpointArtifactPullSecretAuthentication

アーティファクトプルシークレット認証

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint アーティファクト プル シークレット認証プロパティ

RegistryEndpointAuthenticationMethod

認証方法。

RegistryEndpointProperties

RegistryEndpoint プロパティ

RegistryEndpointResource

RegistryEndpoint リソース

RegistryEndpointSystemAssignedIdentityAuthentication

システム割り当て ID 認証

RegistryEndpointSystemAssignedManagedIdentitySettings

システム割り当てマネージド ID プロパティ

RegistryEndpointTrustedSigningKeyConfigMap

configmap を介して提供される RegistryEndpoint 信頼の設定。

RegistryEndpointTrustedSigningKeySecret

シークレットを介して提供される RegistryEndpoint 信頼の設定。

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType 値

RegistryEndpointUserAssignedIdentityAuthentication

ユーザー割り当て ID 認証

RegistryEndpointUserAssignedManagedIdentitySettings

ユーザー割り当てマネージド ID プロパティ

ResourceHealthState

リソースの正常性状態。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細です。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ExtendedLocation

拡張された場所は、Azure の場所の拡張機能です。 Azure ARC 対応 Kubernetes クラスターを、Azure サービス インスタンスをデプロイするためのターゲットの場所として使用する方法を提供します。

名前 説明
name

string

拡張された場所の名前。

type

ExtendedLocationType

ExtendedLocation の種類。

ExtendedLocationType

ExtendedLocation の列挙型を定義する型が受け入れられます。

説明
CustomLocation

CustomLocation タイプ

ProvisioningState

リソースの状態を定義する列挙型。

説明
Succeeded

リソースが作成されました。

Failed

リソースの作成に失敗しました。

Canceled

リソースの作成が取り消されました。

Provisioning

リソースがプロビジョニングされています。

Updating

リソースが更新中です。

Deleting

リソースが削除中です。

Accepted

リソースが受け入れられました。

RegistryEndpointAnonymousAuthentication

匿名認証

名前 説明
anonymousSettings

RegistryEndpointAnonymousSettings

匿名認証プロパティ

method string:

Anonymous

認証方法。

RegistryEndpointArtifactPullSecretAuthentication

アーティファクトプルシークレット認証

名前 説明
artifactPullSecretSettings

RegistryEndpointArtifactPullSecretSettings

アーティファクト・プル・シークレット認証プロパティー

method string:

ArtifactPullSecret

認証方法。

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint アーティファクト プル シークレット認証プロパティ

名前 説明
secretRef

string

アーティファクト・プル・シークレットを含むkubernetesシークレットの名前。

RegistryEndpointAuthenticationMethod

認証方法。

説明
SystemAssignedManagedIdentity

SystemAssignedManagedIdentity 型

UserAssignedManagedIdentity

UserAssignedManagedIdentity 型

Anonymous

匿名オプション

ArtifactPullSecret

アーティファクトプルシークレット認証

RegistryEndpointProperties

RegistryEndpoint プロパティ

名前 規定値 説明
authentication RegistryEndpointAuthentication:

Azure Container Registry の認証設定。

codeSigningCas RegistryEndpointTrustedSigningKey[]:

レジストリエンドポイントの成果物によって使用される署名認証局

healthState

ResourceHealthState

Unknown

リソースの正常性状態。

host

string

minLength: 3
maxLength: 63

コンテナー・レジストリ・エンドポイントのホスト名。

provisioningState

ProvisioningState

最後の操作の状態。

RegistryEndpointResource

RegistryEndpoint リソース

名前 説明
extendedLocation

ExtendedLocation

リソースのエッジの場所。

id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties

RegistryEndpointProperties

このリソースのリソース固有のプロパティ。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

RegistryEndpointSystemAssignedIdentityAuthentication

システム割り当て ID 認証

名前 説明
method string:

SystemAssignedManagedIdentity

認証方法。

systemAssignedManagedIdentitySettings

RegistryEndpointSystemAssignedManagedIdentitySettings

システム割り当てマネージド ID プロパティ

RegistryEndpointSystemAssignedManagedIdentitySettings

システム割り当てマネージド ID プロパティ

名前 説明
audience

string

認証対象のサービスの対象ユーザー。 随意;は、サービス ホスト構成の対象ユーザーに既定で設定されます。

RegistryEndpointTrustedSigningKeyConfigMap

configmap を介して提供される RegistryEndpoint 信頼の設定。

名前 説明
configMapRef

string

configmap の名前。

type string:

ConfigMap

レジストリエンドポイントの信頼の種類。

RegistryEndpointTrustedSigningKeySecret

シークレットを介して提供される RegistryEndpoint 信頼の設定。

名前 説明
secretRef

string

シークレットの名前。

type string:

Secret

レジストリエンドポイントの信頼の種類。

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType 値

説明
Secret

Kubernetes シークレットに格納されている信頼設定。

ConfigMap

Kubernetes ConfigMap に保存されている信頼設定。

RegistryEndpointUserAssignedIdentityAuthentication

ユーザー割り当て ID 認証

名前 説明
method string:

UserAssignedManagedIdentity

認証方法。

userAssignedManagedIdentitySettings

RegistryEndpointUserAssignedManagedIdentitySettings

ユーザー割り当てマネージド ID プロパティ

RegistryEndpointUserAssignedManagedIdentitySettings

ユーザー割り当てマネージド ID プロパティ

名前 説明
clientId

string

ユーザー割り当てマネージド ID のクライアント ID。

scope

string

リソースのリソース識別子 (アプリケーション ID URI) 。.default サフィックスが付いています。

tenantId

string

テナント ID。

ResourceHealthState

リソースの正常性状態。

説明
Available

リソースは使用可能で、期待どおりに機能しています。

Degraded

リソースの正常性が低下します。

Unavailable

リソースが期待どおりに機能していません。

Unknown

リソースの状態は不明です。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。